
/**
 * Write a description of class Stav here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Stav implements java.lang.Comparable<Stav>
{
     private Pozice dama;
     private int konfliktu;
     private int kam;  //na ktery sloupec posunout

	/**
	 * Constructor for objects of class Stav
	 */
	public Stav(Pozice dama, int konfliktu, int kam)
	{
		this.dama = dama;
		this.konfliktu = konfliktu;
		this.kam = kam;
	}
	
	public int compareTo(Stav stav2)
	{
	    if (konfliktu == stav2.getKonfliktu())
	      return dama.compareTo(stav2.getDama());
	    else
	      return konfliktu - (int)stav2.getKonfliktu();
	}
	 
	/**
	 * Returns number of conflicts
	 * @return number of conflicts
	 */
	public int getKonfliktu()
	{
	     return konfliktu;
	}
	
	/**
	 * Returns number of row (column is fixed) to which the queen is supposed to move
	 * @return number of row (column is fixed) to which the queen is supposed to move
	 */
	public int getKam()
	{
	     return kam;
	}
	
	/**
	 * Returns queen that is supposed to move
	 * @return queen that is supposed to move
	 */
	public Pozice getDama()
	{
	     return dama;
	}
	
	public String toString()
	{
	    return "(" + konfliktu + "," + kam + ")";
	}   
	
	public boolean equals(Object obj)
    {
       if (obj == null)
         return false;
       else if ( obj instanceof Stav && (this.dama == ((Stav)obj).getDama()) && (this.konfliktu == ((Stav)obj).getKonfliktu()) && (this.kam == ((Stav)obj).getKam()) )  
         return true;
       else 
         return false;
    }
    
}
