/**
 * Pozice is class of positions on the chessboard.
 * 
 * @author Martin ehnek, 143357@mail.muni.cz
 * @version 23.11.2006
 */
public class Pozice implements java.lang.Comparable<Pozice>
{
	
    private int x;
    private int y;
    
    /**
	 * Constructor for objects of class Dama
	 */
	public Pozice(int x, int y)
	{
		this.x = x;
		this.y = y;
	}
   
	
	/**
	 * Constructor for objects of class Dama //kopirovaci konstruktor
	 */
	public Pozice(Pozice old)
	{
		this.x = old.getX();
		this.y = old.getY();
	}

	public int getX()
	 {return x;}
	public int getY()
	 {return y;}
	public void changeX(int i)
	 {this.x += i;}
	public void changeY(int i)
	 {this.y += i;}
	public void setX(int x)
	 {this.x = x;}
	public void setY(int y)
	 {this.y = y;}
	 
	 public String toString()
	 {
	     return "[" + x + "][" + y + "]";
	 }
	 
	 public int compareTo(Pozice pozice2)
	 {
	     if (this.x == pozice2.getX())
	       return this.y - pozice2.getY();
	     else 
	       return this.x - pozice2.getX();
	  }     
	     
	     
	
}
